#line 1 "C:/Users/Viktor/Desktop/Klikovi/BLE3/primeri/FT90/ble3_click_example.c"
#line 1 "c:/c4w/mikroelektronika/mikroc pro for ft90x/include/stdint.h"





typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;
typedef signed long long int64_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;
typedef unsigned long long uint64_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;
typedef signed long long int_least64_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;
typedef unsigned long long uint_least64_t;



typedef signed long int int_fast8_t;
typedef signed long int int_fast16_t;
typedef signed long int int_fast32_t;
typedef signed long long int_fast64_t;


typedef unsigned long int uint_fast8_t;
typedef unsigned long int uint_fast16_t;
typedef unsigned long int uint_fast32_t;
typedef unsigned long long uint_fast64_t;


typedef signed long int intptr_t;
typedef unsigned long int uintptr_t;


typedef signed long long intmax_t;
typedef unsigned long long uintmax_t;
#line 1 "c:/c4w/mikroelektronika/mikroc pro for ft90x/include/stdbool.h"



 typedef char _Bool;
#line 15 "C:/Users/Viktor/Desktop/Klikovi/BLE3/primeri/FT90/ble3_click_example.c"
sbit BLE3_CTS_MCU at GPIO_PIN3_bit;
sbit BLE3_RTS_MCU at GPIO_PIN28_bit;
sbit BLE3_RST at GPIO_PIN1_bit;

uint8_t port_read = 0;

void main()
{

 GPIO_Digital_Output(&GPIO_PORT_24_31, _GPIO_PINMASK_4 );
 GPIO_Digital_Output(&GPIO_PORT_00_07, _GPIO_PINMASK_1 );
 GPIO_Digital_Input(&GPIO_PORT_00_07, _GPIO_PINMASK_3 );
 GPIO_Digital_Output(&GPIO_PORT_32_39, _GPIO_PINMASK_ALL);

 Uart2_Init(115200);
 delay_ms(500);

 BLE3_RTS_MCU = 0;
 BLE3_RST = 1;
 delay_ms(4000);

 Uart2_Write_Text("AT+UBTLN=");
 Uart2_Write_Text("\"mikroE\"");
 Uart2_Write_Text("\r");
 delay_ms(2000);

 Uart2_Write_Text("ATO1\r");
 delay_ms(1000);

 UART2_FCR |= ( 1 << FIFO_EN ) | ( 1 << RCVR_RST );
 UART2_INT_ENABLE |= ( 1 << RX_AVL_EN );
 IRQ_CTRL &= ~( 1 << GLOBAL_INTERRUPT_MASK );

 while(1)
 {
 GPIO_PORT_32_39 = port_read;
 Uart2_Write(port_read);
 delay_ms(1000);
 port_read++;
 }

}


void UART_RX_ISR() iv IVT_UART2_IRQ ics ICS_AUTO
{
 if( UART2_LSR & ( 1 << DATA_RDY ) )
 {
 port_read = UART2_RBR;
 }
}
